%global momorel 3
%global dcraw_version 8.89

Summary: Unidentified Flying Raw
Name: ufraw
Version: 0.15
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Applications/Multimedia
URL: http://ufraw.sourceforge.net/
Source0: http://jaist.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-0.14.1-glibc210.patch
Patch1: %{name}-%{version}-desktop.patch
Patch2: %{name}-%{version}-gcc-4.4.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: GConf2
PreReq: desktop-file-utils
PreReq: shared-mime-info
Requires: dcraw >= %{dcraw_version}
Requires: libgtkimageview >= 1.3.0
Requires: lensfun >= 0.2.3
Requires: bzip2
Requires: exiv2
Requires: gimp
Requires: gtk+ >= 2.6
Requires: lcms
Requires: libjpeg
Requires: libpng
Requires: libtiff
Requires: pango
Requires: zlib
BuildRequires: libgtkimageview-devel >= 1.3.0
BuildRequires: lensfun-devel >= 0.2.3
BuildRequires: bzip2-devel
BuildRequires: coreutils
BuildRequires: exiv2-devel
BuildRequires: gimp-devel
BuildRequires: gtk+-devel >= 2.6
BuildRequires: lcms-devel
BuildRequires: libexif-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel

%description
A utility to read and manipulate raw images from digital cameras

%prep
%setup -q

%patch0 -p1 -b .glibc210
%patch1 -p1 -b .dekstop-ja
%patch2 -p1 -b .gcc44

%build
CC="%{__cc}" \
CXX="%{__cxx}" \
%configure \
  --enable-extras  \
  --enable-mime  \
  --enable-dst-correction \
  --enable-contrast \
  --enable-interp-none \
  --with-exiv2 \
  --with-lensfun \
  --with-libexif

make %{?_smp_mflags} schemasdir=%{_sysconfdir}/gconf/schemas

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot} schemasdir=%{_sysconfdir}/gconf/schemas

# install ufraw-mime.xml
mkdir -p %{buildroot}%{_datadir}/mime/packages
install -m 0644 ufraw-mime.xml %{buildroot}%{_datadir}/mime/packages

### use external dcraw
%__rm -f %{buildroot}%{_bindir}/dcraw

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ufraw.schemas >& /dev/null || :
update-mime-database >& /dev/null || :
update-desktop-database >& /dev/null || :

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule /etc/gconf/schemas/ufraw.schemas >& /dev/null || :

%postun
update-mime-database >& /dev/null || :
update-desktop-database >& /dev/null || :

%files
%defattr(-, root,root)
%doc COPYING ChangeLog MANIFEST README TODO
%{_sysconfdir}/gconf/schemas/ufraw.schemas
%{_bindir}/ufraw
%{_bindir}/ufraw-batch
### use external dcraw
#%%{_bindir}/dcraw
%{_bindir}/nikon-curve
%{_libdir}/gimp/2.0/plug-ins/ufraw-gimp
%{_datadir}/locale/*/LC_MESSAGES/ufraw.mo
%{_datadir}/pixmaps/ufraw.png
%{_datadir}/applications/ufraw.desktop
%{_mandir}/man1/ufraw.1*
%{_datadir}/mime/packages/ufraw-mime.xml

%changelog
* Wed Oct 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.15-3m)
- move ufraw.schemas from %%{_datadir}/gconf/ to %%{_sysconfdir}/gconf/
- install ufraw-mime.xml
- add %%post, %%preun and %%postun

* Wed Oct 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.15-2m)
- update to version 0.15 again
- apply desktop.patch
- import gcc-4.4.patch from Fedora
- License: GPLv2

* Sun Sep 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14.1-5m)
- apply glibc210 patch

- * Mon Sep 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- - (0.14.1-4m)
- - rebuild against libjpeg-7

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.14.1-3m)
- rebuild against rpm-4.6

* Tue Jan  6 2009 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.14.1-2m)
- rollback... Maybe, there are several bugs in 0.15.

* Sat Jan  3 2009 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.15-1m)
- update to 0.15

* Fri Jan  2 2009 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.14.1-2m)
- rebuild against gimp-2.6.4

* Tue Dec 30 2008 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.14.1-1m)
- Initial specfile for Momonga.
